<?php
require_once('app/config.php');
require_once('app/classes/UserMgmt_Class.php');

function auth401($msg = 'Contact SERVER_ADMIN for your account information.')
{
	header('WWW-Authenticate: Basic realm="NavEditor2"');
	header('HTTP/1.0 401 Unauthorized');
	echo $msg;
	exit;
}

$is_admin = FALSE;

if(!isset($_SERVER['PHP_AUTH_USER'])) {
	auth401();
} else {
	$server_admin = $_SERVER['SERVER_ADMIN'];
	$server_admin = explode('@', $server_admin);
	$server_admin = $server_admin[0];
	$current_user_name = $_SERVER['PHP_AUTH_USER'];
	$current_user_pwd = $_SERVER['PHP_AUTH_PW'];
	
	$um = new UserMgmt();
	if(is_null($um->GetUsers())) { // no user
		if(strcmp($current_user_name, $server_admin) == 0) { // 1st time only site_admin!
			$um->AddUser($current_user_name, $current_user_pwd, '/index.shtml');
			$is_admin = TRUE;
		} else {
			auth401();
		}
	} else { // there are already some users
		if(!$um->Login($current_user_name, $current_user_pwd)) { // login failed
			if(strcmp($current_user_name, $server_admin) == 0) { // server_admin can also reg later
				if(!$um->AddUser($current_user_name, $current_user_pwd, '/index.shtml')) {
					auth401();
				} else {
					$is_admin = TRUE;
				}
			} else {
				auth401();
			}
		} else { // login ok
			if(strcmp($current_user_name, $server_admin) == 0) {
				$is_admin = TRUE;
			}
		}
	}
	
	$g_current_user_permission = $um->GetPermission($current_user_name);
}
?>
